Subject: bug#24902: 25.1; C-x = for Unicode

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Jan 2022 10:21:30 +0100

Mattias Engdegård <[email-masked]> writes:

> To save space, remove noise, unnecessary and/or obsolete
> characters. U+HHHH is the standard notation for code values nowadays;
> I have little use for decimal and octal (octal!) numbers although I
> know how to get them if I want. Nor do I generally need to see the
> character itself; it's right under the cursor.

Emacs defaults to showing some things in octal, so showing octal here
isn't that absurd...

> Now almost all Unicode character names fit very comfortably on a
> single line in the echo area, and for the rare ones that do not, this
> area expands.

`C-x 8 e d' says what the name of the character is.  Perhaps it should
also include the hex value...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no